Package com.independentsoft.msg

# Class ExtendedPropertyTag

java.lang.Object
com.independentsoft.msg.ExtendedPropertyTag

Direct Known Subclasses:
  `ExtendedPropertyId`, `ExtendedPropertyName`

public abstract class ExtendedPropertyTag extends Object
Serves as the abstract base class for the tags that identify a named (extended) MAPI property, either by numeric identifier (`ExtendedPropertyId`) or by string name (`ExtendedPropertyName`). A tag is defined by its property set `GUID` and the value `type`.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected byte[]`
  `guid`
  The 16-byte GUID of the property set the property belongs to.
  `protected PropertyType`
  `type`
  The data type of the property value.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ExtendedPropertyTag()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `byte[]`
  `getGuid()`
  Gets the 16-byte GUID of the property set the property belongs to.
  `PropertyType`
  `getType()`
  Gets the data type of the property value.
  `void`
  `setGuid​(byte[] guid)`
  Sets the 16-byte GUID of the property set the property belongs to.
  `void`
  `setType​(PropertyType type)`
  Sets the data type of the property value.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### guid

    protected byte[] guid
    The 16-byte GUID of the property set the property belongs to.

  - ### type

    protected PropertyType type
    The data type of the property value.

- ## Constructor Details

  - ### ExtendedPropertyTag

    public ExtendedPropertyTag()

- ## Method Details

  - ### getGuid

    public byte[] getGuid()
    Gets the 16-byte GUID of the property set the property belongs to.
    Returns:
      the property set GUID

  - ### setGuid

    public void setGuid​(byte[] guid)
    Sets the 16-byte GUID of the property set the property belongs to.
    Parameters:
      `guid` - the property set GUID

  - ### getType

    public PropertyType getType()
    Gets the data type of the property value.
    Returns:
      the property value type

  - ### setType

    public void setType​(PropertyType type)
    Sets the data type of the property value.
    Parameters:
      `type` - the property value type